## org.firebirdsql.jdbc.field
Class FBBigDecimalField

    java.lang.Object
      org.firebirdsql.jdbc.field.FBField
          org.firebirdsql.jdbc.field.FBBigDecimalField

    public class FBBigDecimalField

extends FBField

Describe class `FBBigDecimalField` here.

Version:
  1.0
Author:
  Roman Rokytskyy

Field Summary

Fields inherited from class org.firebirdsql.jdbc.field.FBField
`field, gdsHelper, iscEncoding, javaEncoding, mappingPath, numCol, requiredType, scale`

Method Summary
`BigDecimal` `getBigDecimal()`
`boolean` `getBoolean()`
`byte` `getByte()`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`short` `getShort()`
`String` `getString()`
`void` `setBigDecimal(BigDecimal value)`
`void` `setBoolean(boolean value)`
`void` `setByte(byte value)`
`void` `setDouble(double value)`
`void` `setFloat(float value)`
`void` `setInteger(int value)`
`void` `setLong(long value)`
`void` `setShort(short value)`
`void` `setString(String value)`

Methods inherited from class org.firebirdsql.jdbc.field.FBField

`close, createField, getAlias, getArray, getAsciiStream, getBigDecimal, getBinaryStream, getBlob, getBytes, getCharacterStream, getClob, getDate, getDate, getFieldData, getName, getObject, getObject, getRef, getRelationName, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, isCompatible, isInvertTimeZone, isNull, isType, setAsciiStream, setBinaryStream, setBlob, setBytes, setCharacterStream, setConnection, setDate, setDate, setFieldData, setNull, setObject, setRequiredType, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBoolean

    public boolean getBoolean()
                       throws SQLException

  Overrides:
    `getBoolean` in class `FBField`
  Throws:
    `SQLException`

### getByte

    public byte getByte()
                 throws SQLException

  Overrides:
    `getByte` in class `FBField`
  Throws:
    `SQLException`

### getDouble

    public double getDouble()
                     throws SQLException

  Overrides:
    `getDouble` in class `FBField`
  Throws:
    `SQLException`

### getFloat

    public float getFloat()
                   throws SQLException

  Overrides:
    `getFloat` in class `FBField`
  Throws:
    `SQLException`

### getInt

    public int getInt()
               throws SQLException

  Overrides:
    `getInt` in class `FBField`
  Throws:
    `SQLException`

### getLong

    public long getLong()
                 throws SQLException

  Overrides:
    `getLong` in class `FBField`
  Throws:
    `SQLException`

### getShort

    public short getShort()
                   throws SQLException

  Overrides:
    `getShort` in class `FBField`
  Throws:
    `SQLException`

### getString

    public String getString()
                     throws SQLException

  Overrides:
    `getString` in class `FBField`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal()
                             throws SQLException

  Overrides:
    `getBigDecimal` in class `FBField`
  Throws:
    `SQLException`

### setBoolean

    public void setBoolean(boolean value)
                    throws SQLException

  Overrides:
    `setBoolean` in class `FBField`
  Throws:
    `SQLException`

### setByte

    public void setByte(byte value)
                 throws SQLException

  Overrides:
    `setByte` in class `FBField`
  Throws:
    `SQLException`

### setDouble

    public void setDouble(double value)
                   throws SQLException

  Overrides:
    `setDouble` in class `FBField`
  Throws:
    `SQLException`

### setFloat

    public void setFloat(float value)
                  throws SQLException

  Overrides:
    `setFloat` in class `FBField`
  Throws:
    `SQLException`

### setInteger

    public void setInteger(int value)
                    throws SQLException

  Overrides:
    `setInteger` in class `FBField`
  Throws:
    `SQLException`

### setLong

    public void setLong(long value)
                 throws SQLException

  Overrides:
    `setLong` in class `FBField`
  Throws:
    `SQLException`

### setShort

    public void setShort(short value)
                  throws SQLException

  Overrides:
    `setShort` in class `FBField`
  Throws:
    `SQLException`

### setString

    public void setString(String value)
                   throws SQLException

  Overrides:
    `setString` in class `FBField`
  Throws:
    `SQLException`

### setBigDecimal

    public void setBigDecimal(BigDecimal value)
                       throws SQLException

  Overrides:
    `setBigDecimal` in class `FBField`
  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.